IFNDEF BLUESOCK_INCLUDE
BLUESOCK_INCLUDE Equ <1>

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

BlueSockInitialize Proto
BlueSockSearchDevices Proto :CALLBACK
BlueSockSearchDevicesCallback Proto :DWord,:DWord,:DWord
BlueSockConnect Proto lpBtAddr:DWord, lpGuidService:DWord
BlueSockCleanup Proto
;BlueSockAuthenticate Proto

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

GUID_BthSerialService TextEqu <GUID {000001101H,00000H,01000H,{080H,000H,000H,080H,05FH,09BH,034H,0FBH}}>

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; When the dwData param in the BlueSockSearchDevices callback procedure is 1
; lpData points to a BLUESOCK_DEVICEINFO structure

BLUESOCK_DEVICEINFO Struct
	btAddr QWord <?>
	btName	LPSTR <?>
BLUESOCK_DEVICEINFO EndS

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Private BlueSock module stuff

Include \masm32\Include\mswsock.inc
Include \masm32\Include\ws2_32.inc

IncludeLib \masm32\lib\mswsock.lib
IncludeLib \masm32\lib\ws2_32.lib

NS_BTH              Equ 0010H
AF_BTH          		Equ 0020H
BTHPROTO_RFCOMM 		Equ 3
QUERY_BUFFER_SIZE	  Equ 16384
;GIAC                Equ 9E8B33H
LUP_CONTAINERS      Equ 0002H
LUP_RETURN_NAME     Equ 0010H
LUP_RETURN_ADDR     Equ 0100H
LUP_FLUSHCACHE      Equ 1000H

WSAQUERYSET Struct
	dwSize                  DD <?>
	lpszServiceInstanceName DD <?>
	lpServiceClassId        DD <?>
	lpVersion               DD <?>
	lpszComment             DD <?>
	dwNameSpace             DD <?>
	lpNSProviderId          DD <?>
	lpszContext             DD <?>
	dwNumberOfProtocols     DD <?>
	lpafpProtocols          DD <?>
	lpszQueryString         DD <?>
	dwNumberOfCsAddrs       DD <?>
	lpcsaBuffer             DD <?>
	dwOutputFlags           DD <?>
	lpBlob                  DD <?>
WSAQUERYSET ENDS

; used in BlueSockConnect,
SOCKADDR_BTH STRUCT
  addressFamily   DW		<?>
  btAddr          DQ 	<?>
  serviceClassId  GUID	<?>
  port            DD		<?>
SOCKADDR_BTH ENDS



ENDIF ; BLUESOCK_INCLUDE
